package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 访问人次
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPv对象", description="访问人次")
public class TaPv implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "pvID")
    @TableId(value = "pv_id", type = IdType.AUTO)
    private Integer pvId;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "访问对象类型")
    private String targetType;

    @ApiModelProperty(value = "访问对象ID")
    private String targetId;

    @ApiModelProperty(value = "访问时间")
    private LocalDateTime createDate;


}
