package com.yunzhi.shigongli.event;

import com.yunzhi.shigongli.entity.TaOrder;
import org.springframework.context.ApplicationEvent;

/**
 * 支付成功事件
 */
public class PaySuccessEvent extends ApplicationEvent {

    TaOrder taOrder;

    public PaySuccessEvent(Object source, TaOrder taOrder) {
        super(source);
        this.taOrder = taOrder;
    }

    public TaOrder getTaOrder() {
        return taOrder;
    }
}
