package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotel;
import com.yunzhi.shigongli.vo.HotelListVO;

import java.util.List;

/**
 * <p>
 * 民宿 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaHotelService extends IBaseService<TaHotel> {

    List<TaHotel> getByName(String hotelName);

    boolean createNew(TaHotel taHotel) throws Exception;

    IPage<HotelListVO> getVOListBy(IPage<TaHotel> pg, String hotelName);
}
