package com.yunzhi.shigongli.service;

import com.github.binarywang.wxpay.bean.notify.WxPayOrderNotifyResult;
import com.github.binarywang.wxpay.bean.order.WxPayMpOrderResult;
import com.yunzhi.shigongli.entity.TaOrder;

import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.vo.OrderItem;

/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaOrderService extends IBaseService<TaOrder> {

    WxPayMpOrderResult order(TaPerson person, OrderItem[] orderItems) throws Exception;

    void cancelOrder(TaOrder taOrder, TaPerson taPerson) throws Exception;
}
