package com.yunzhi.shigongli.common;

import com.yunzhi.shigongli.service.ISysConfigService;
import com.yunzhi.shigongli.service.ITaHotelAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class CommUtils {

    @Autowired
    ITaHotelAccountService iTaHotelAccountService;

    @Autowired
    ISysConfigService iSysConfigService;

    @PostConstruct
    public void init() {
        try {
            iTaHotelAccountService.initSystemAccount();
            iSysConfigService.initSysConfig();
        } catch (Exception e) {
//            e.printStackTrace();
        }
    }
}
