package com.yunzhi.shigongli.common;

import java.time.Duration;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class DateUtils {
    public static LocalDateTime from(String str, String formater) {
        DateTimeFormatter fmt = DateTimeFormatter.ofPattern(formater);
        return LocalDateTime.parse(str, fmt);
    }

    public static long daysBetween(LocalDateTime dt1, LocalDateTime dt2) {
        Duration duration = Duration.between(dt1, dt2);
        return duration.toDays();
    }

    public static String toString(LocalDateTime dt, String formater) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern(formater);
        return dt.format(formatter);
    }
}
